> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Staking Configurations

> Lists all staking configuration versions for the caller's org; errors if staking is disabled.

Not available to API keys yet. It will need `grants:read`.

## OpenAPI

````yaml api-reference/openapi.json GET /tga/get-staking-configurations
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/get-staking-configurations:
    get:
      operationId: getStakingConfigurations
      summary: Get Staking Configurations
      description: >-
        Lists all staking configuration versions for the caller's org; errors if
        staking is disabled.


        Not available to API keys yet. It will need `grants:read`.
      parameters:
        - name: orgID
          in: query
          required: false
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetStakingConfigurationsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    GetStakingConfigurationsResponse:
      type: array
      items:
        type: object
        properties:
          stakingConfigurationID:
            type: string
          orgID:
            type: string
          maxStakePercentage:
            type: string
            pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
          bufferPeriod:
            type: integer
          cooldownPeriod:
            type: integer
          versionNumber:
            type: integer
          createdAt:
            type: string
          updatedAt:
            type: string
          isCurrent:
            type: boolean
          stakingTypesEnabled:
            type: array
            items:
              type: string
              enum:
                - UNVESTED_LOCKED_TOKENS
                - UNVESTED_UNLOCKED_TOKENS
                - VESTED_LOCKED_TOKENS
        required:
          - stakingConfigurationID
          - orgID
          - maxStakePercentage
          - bufferPeriod
          - cooldownPeriod
          - versionNumber
          - createdAt
          - updatedAt
          - isCurrent
          - stakingTypesEnabled
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
